Subject: Re: [PATCH] RFC: switch: allow same-commit switch during merge if conflicts resolved

From: Felipe Contreras <[email-masked]>
Date: Sun, 07 May 2023 16:01:39 -0600

Elijah Newren wrote:
> On Wed, May 3, 2023 at 10:01 PM Tao Klerks <[email-masked]> wrote:

> > If we are comfortable changing the behavior of branch checkout to be
> > safe-and-limiting like switch, then that should be almost as simple as
> > removing that condition.
> 
> I've never heard a dissenting vote against this

Here is my dissenting vote: I'm against this change.

If I want to use a high-level command meant for novices, I use `git switch`. If
instead I simply want to switch to a different commit and I want git to shut up
about it, then I use `git checkout`.

You want to strip away the options for experts, in search for what?

If there was a way of doing:

  git -c core.iknowwhatimdoing=true checkout $whatever

Then I wouldn't oppose such change.

But this is not the proposal. The proposal is to break backwards compatibility
for expert users with no way to retain the existing behavior.

Generally, breaking backwards compatibility for no reason is frowned upon.

-- 
Felipe Contreras